MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025226Open CASCADE[OCCT] OCCT:Documentationpublic2014-09-08 18:162014-11-11 12:59
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025226: Reference Manual -- list of classes in package is polluted
DescriptionSince OCCT 6.7.1, for some packages like Geom list of classes for the package in Reference Manual is polluted by other classes starting from the same, e.f. GeomAPI ones.
Steps To ReproduceSee http://dev.opencascade.org/doc/refman/html/package_geom.html [^]
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0031496)
git (administrator)
2014-09-08 18:19

Branch CR25226 has been created by abv.

SHA-1: c2dcffac0c983e295b0206c95ac48005ad14c902


Detailed log of new commits:

Author: abv
Date: Mon Sep 8 18:17:50 2014 +0400

    0025226: Reference Manual -- list of classes in package is polluted
    
    Documentation generator corrected to avoid adding irrelevant classes to the package list.
(0031497)
abv (manager)
2014-09-08 18:21

Fix pushed to CR25226, please check and if it is Ok, update reference manual on dev
(0032426)
git (administrator)
2014-09-30 11:36

Branch CR25226 has been deleted by inv.

SHA-1: c2dcffac0c983e295b0206c95ac48005ad14c902

- Related Changesets
occt: master 1ffd3d70
Timestamp: 2014-09-08 14:17:50
Author: abv
Committer: bugmaster
Details ] Diff ]
0025226: Reference Manual -- list of classes in package is polluted

Documentation generator corrected to avoid adding irrelevant classes to the package list.
mod - adm/gendoc.tcl Diff ] File ]
mod - adm/occaux.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-08 18:16 abv New Issue
2014-09-08 18:16 abv Assigned To => ysn
2014-09-08 18:19 git Note Added: 0031496
2014-09-08 18:21 abv Note Added: 0031497
2014-09-08 18:21 abv Assigned To ysn => bugmaster
2014-09-08 18:21 abv Status new => resolved
2014-09-10 10:39 bugmaster Status resolved => reviewed
2014-09-10 10:39 bugmaster Status reviewed => tested
2014-09-15 11:14 bugmaster Changeset attached => occt master 1ffd3d70
2014-09-15 11:14 bugmaster Status tested => verified
2014-09-15 11:14 bugmaster Resolution open => fixed
2014-09-30 11:36 git Note Added: 0032426
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:59 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker